Bug 1414062 - [abrt] mediawriter: __ldexp(): mediawriter killed by SIGABRT
Summary: [abrt] mediawriter: __ldexp(): mediawriter killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:135fc30f2f36206b653c2c40438...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 16:06 UTC by Sean Carrick
Modified: 2017-08-08 19:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:34:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.17 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: core_backtrace (40.43 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: dso_list (15.70 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: environ (1.38 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: maps (77.72 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: mountinfo (3.38 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: open_fds (1.41 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-17 16:06 UTC, Sean Carrick
no flags Details

Description Sean Carrick 2017-01-17 16:06:13 UTC
Description of problem:
Opened Fedora MediaWriter and selected to make a USB Boot Drive for Fedora Server. As the application started to do what it does, it simply crashed out and closed.

Version-Release number of selected component:
mediawriter-4.0.7-0.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        mediawriter
crash_function: __ldexp
executable:     /usr/bin/mediawriter
global_pid:     1888
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 __ldexp at s_ldexp.c:23
 #1 sigorset at sigorset.c:33

Comment 1 Sean Carrick 2017-01-17 16:06:17 UTC
Created attachment 1241864 [details]
File: backtrace

Comment 2 Sean Carrick 2017-01-17 16:06:19 UTC
Created attachment 1241865 [details]
File: cgroup

Comment 3 Sean Carrick 2017-01-17 16:06:20 UTC
Created attachment 1241866 [details]
File: core_backtrace

Comment 4 Sean Carrick 2017-01-17 16:06:22 UTC
Created attachment 1241867 [details]
File: dso_list

Comment 5 Sean Carrick 2017-01-17 16:06:23 UTC
Created attachment 1241868 [details]
File: environ

Comment 6 Sean Carrick 2017-01-17 16:06:25 UTC
Created attachment 1241869 [details]
File: limits

Comment 7 Sean Carrick 2017-01-17 16:06:27 UTC
Created attachment 1241870 [details]
File: maps

Comment 8 Sean Carrick 2017-01-17 16:06:28 UTC
Created attachment 1241871 [details]
File: mountinfo

Comment 9 Sean Carrick 2017-01-17 16:06:30 UTC
Created attachment 1241872 [details]
File: namespaces

Comment 10 Sean Carrick 2017-01-17 16:06:31 UTC
Created attachment 1241873 [details]
File: open_fds

Comment 11 Sean Carrick 2017-01-17 16:06:32 UTC
Created attachment 1241874 [details]
File: proc_pid_status

Comment 12 Sean Carrick 2017-01-17 16:06:33 UTC
Created attachment 1241875 [details]
File: var_log_messages

Comment 13 rugk 2017-06-06 11:34:55 UTC
Anyone concerned to fix this?

In an upstream issue (https://github.com/MartinBriza/MediaWriter/issues/90) the author said, this is a driver issue of the nouveau driver.
It's especially bad as it happened to me exactly at the most important point where the program is used. And in my case it froze the *whole system*! That's the worst UX you can get. I would have expected it to be better for such an important, official Fedora tool! You cannot share Fedora with anyone when you cannot create an installation image!

Comment 14 Fedora End Of Life 2017-07-26 00:11:57 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 19:34:53 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.